Subject: Re: patch for common networking error messages

From: Janice M Girouard <[email-masked]>
Date: Tue, 17 Jun 2003 14:06:18 -0500

From: Jeff Gazik <[email-masked]>
    Date: Tue, 17 Jun 2003 01:46

    ...and it's been in the tree for quite a while too.  It's a shame
    people aren't taking advantage of it's obvious utility...

I'd like to hear what others believe belong in this new netlink family. 
 The two events that come to mind for this family (or netdev notified if 
that's more appropriate) are:
1) device initialization failures,
2) events that drive load balancing software.  Right now if we need to 
throttle the card, we don't send events up to indicate we have reached 
capacity.  

Possibly the first might belong in the netdev notified family, and the 
second in the netlink family, since you might want to present more than 
a two state (success/failure.. or just failure in this case) result.
-